%define kdeprefix /usr
%define version 0.8.5
%define kderelease 2

%define qtver  qt1x >= 1.45

%define kdename  WebMaker
Name: %{kdename}
Summary: WebMaker is a GUI HTML editor
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: http://www.services.ru/linux/webmaker/%{kdename}-%{version}.tar.gz
URL: http://www.services.ru/linux/webmaker/
License: GPL
Group: Applications/Editors
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}
BuildPrereq: qt1x-devel

%description
WebMaker is a GUI HTML Editor for Unix. Main features include a nice
GUI interface, menus, toolbar and dialogs for tag editing, multiple
windows support, HTML 4.0 support, color syntax highlighting, preview
with external browser, ability to filter editor content through any
external program that supports stdin/stdout and KDE integration.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{kdeprefix}
export QTDIR=/usr/lib/qt-1.45
export kde_htmldir=%{kdeprefix}/doc/kde/HTML
%configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Tue Feb 22 2000 Preston Brown <pbrown@redhat.com>
- build with proper kde_htmldir

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.8.5
- Qt 1.45
- fix compilation (QTDIR defaults to qt 2.1!)
- require qt1x, not qt
- buildprereq qt1x-devel

* Sat May 01 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0
